[Midnightbsd-cvs] mports: mports/net: Add avahi libdns

laffer1 at midnightbsd.org laffer1 at midnightbsd.org
Sun Feb 17 02:02:58 EST 2008


Log Message:
-----------
Add avahi libdns

Modified Files:
--------------
    mports/net:
        Makefile (r1.52 -> r1.53)

Added Files:
-----------
    mports/net/avahi-libdns:
        Makefile (r1.1)
        pkg-descr (r1.1)
        pkg-install (r1.1)
        pkg-plist (r1.1)

-------------- next part --------------
Index: Makefile
===================================================================
RCS file: /home/cvs/mports/net/Makefile,v
retrieving revision 1.52
retrieving revision 1.53
diff -L net/Makefile -L net/Makefile -u -r1.52 -r1.53
--- net/Makefile
+++ net/Makefile
@@ -7,6 +7,7 @@
     SUBDIR += avahi
     SUBDIR += avahi-autoipd
     SUBDIR += avahi-app
+    SUBDIR += avahi-libdns
     SUBDIR += avahi-qt3
     SUBDIR += cvsup
     SUBDIR += cvsup-without-gui
--- /dev/null
+++ net/avahi-libdns/pkg-install
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+case $2 in
+POST-INSTALL)
+	USER=avahi-autoipd
+	GROUP=${USER}
+	UID=546
+	GID=${UID}
+	PW=/usr/sbin/pw
+
+	if ${PW} group show "${GROUP}" 2>/dev/null; then
+		echo "You already have a group \"${GROUP}\", so I will use it."
+	else
+		if ${PW} groupadd ${GROUP} -g ${GID}; then
+			echo "Added group \"${GROUP}\"."
+		else
+			echo "Adding group \"${GROUP}\" failed..."
+			exit 1
+		fi
+	fi
+
+	if ${PW} user show "${USER}" 2>/dev/null; then
+		echo "You already have a user \"${USER}\", so I will use it."
+	else
+		if ${PW} useradd ${USER} -u ${UID} -g ${GROUP} -h - \
+			-d "/nonexistent" -s /sbin/nologin -c "Avahi Daemon User"
+		then
+			echo "Added user \"${USER}\"."
+		else
+			echo "Adding user \"${USER}\" failed..."
+			exit 1
+		fi
+	fi
+	exit 0
+	;;
+esac
--- /dev/null
+++ net/avahi-libdns/pkg-descr
@@ -0,0 +1,3 @@
+mDNSResponder compatibility from Avavhi
+
+WWW: http://www.avahi.org/
--- /dev/null
+++ net/avahi-libdns/pkg-plist
@@ -0,0 +1,7 @@
+include/avahi-compat-libdns_sd/dns_sd.h
+lib/libdns_sd.a
+lib/libdns_sd.la
+lib/libdns_sd.so
+lib/libdns_sd.so.1
+libdata/pkgconfig/avahi-compat-libdns_sd.pc
+ at dirrm include/avahi-compat-libdns_sd
--- /dev/null
+++ net/avahi-libdns/Makefile
@@ -0,0 +1,27 @@
+# New ports collection makefile for:	avahi-libdns
+# Date created:				31 July 2007
+# Whom:					Michael Johnson <ahze at FreeBSD.org>
+#
+# $MidnightBSD: mports/net/avahi-libdns/Makefile,v 1.1 2008/02/17 07:02:55 laffer1 Exp $
+# $FreeBSD: ports/net/avahi-libdns/Makefile,v 1.2 2007/10/27 14:18:24 ahze Exp $
+#
+
+PORTREVISION=	0
+CATEGORIES=	net
+PKGNAMESUFFIX=	-libdns
+
+MAINTAINER=	gnome at FreeBSD.org
+COMMENT=	mDNSResponder compatibility from Avahi
+
+LIB_DEPENDS=	avahi-common.3:${PORTSDIR}/net/avahi-app
+
+MASTERDIR=	${.CURDIR}/../avahi-app
+BUILD_WRKSRC=	${WRKSRC}/avahi-compat-libdns_sd
+INSTALL_WRKSRC=	${BUILD_WRKSRC}
+DESCR=		${.CURDIR}/pkg-descr
+PLIST=		${.CURDIR}/pkg-plist
+
+AVAHI_SLAVE=	libdns
+AVAHI_PKGCONFIG=avahi-compat-libdns_sd.pc
+
+.include "${MASTERDIR}/Makefile"


More information about the Midnightbsd-cvs mailing list